<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sf.net>
	*	@version	CVS: $Id:$
	*	@link		http://gekkoware.sourceforge.net
	*/

	if (!defined("IN-BLOCK")) die();

	/*
	<%%>
	<?xml version="1.0" encoding="UTF-8"?>
	<blockscript>
		<info lang="en">
			<title>Blog Categories</title>
			<description>Quick links to blog categories</description>
			<author><![CDATA[xiam &lt;<a href="mailto:xiam@users.sourceforge.net">xiam@users.sourceforge.net</a>&gt;]]></author>
			<homepage><![CDATA[<a href="http://www.gekkoware.org">http://www.gekkoware.org</a>]]></homepage>
		</info>
		<info lang="es">
			<title><![CDATA[Categor&iacute;as de blog]]></title>
			<description><![CDATA[Enlaces para las categor&iacute;s del blog]]></description>
		</info>
	</blockscript>
	<%%>
	*/

	require_once GEKKO_ROOT."modules/categories/main.lib.php";

	$cats = getAllowedCategories();

	foreach ($cats as $cat) {
		$q = $GLOBALS["db"]->query("SELECT ID
		FROM ".db_table("blog")." WHERE Status = '1' AND Category = '{$cat}'",
		__FILE__, __LINE__, true);

		if (($aff = $GLOBALS["db"]->num_rows($q))) {
			$catname = cache_func("getCategoryByID($cat, 1)");
			$return .= mkLink("index.php/blog?category=".urlencode($catname)."", $catname)." ($aff)<br />";
		}
	}

?>