<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sf.net>
	*	@version	CVS: $Id:$
	*	@link		http://gekkoware.sourceforge.net
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	require_once GEKKO_ROOT."modules/groups/main.lib.php";

	$action = _ext("action", 2);
	$id = _ext("id", 2);

	switch ($action) {
		default:
			if ($id) {

				$tpl = new ContentBlock();

				$tpl->insert("BLOCK_CONTENT", "categories/index.admin.tpl");
				$tpl->insert("CATEGORY.FORM", "categories/category.form.tpl");

				$db->query("
					SELECT
						ID, Icon, Category, Description, Status, auth_Access
					FROM ".db_table("category")." WHERE ID = '".$id."'
				");

				if (!$db->num_rows()) break;

				$row = $db->fetch_row();
				saneHTML($row);

				$row["BLOCK_TITLE"] = _l("L_CATEGORIES");
				$row["BLOCK_SUBTITLE"] = _l("L_EDIT");
				$row["BLOCK_ICON"] = mkIcon("categories.png", 16);
				$row["ICONCHOOSER"] = mkIconChooser(48, $row["Icon"]);
				$row["STATUS.SEL"] = mkSelect(array(_l("L_DISABLED"), _l("L_ENABLED")), $row["Status"], "status");
				$row["ACTION"] = "edit";
				$row["RETURN"] = "../../index.php/admin/categories";

				$tpl->set_arr($row);

				$mcBuff = $tpl->make();

			} else {
				$tpl = new ContentBlock();

				$tpl->insert("BLOCK_CONTENT", "categories/index.admin.tpl");
				$tpl->insert("CATEGORY.FORM", "categories/category.form.tpl");

				$db->query ("
					SELECT
						ID, Icon, Category, Description, Status, auth_Access
					FROM ".db_table("category")."
					ORDER BY ID ASC
				");

				$categories = $db->num_rows();

				while ($row = $db->fetch_row()) {
					saneHTML($row);
					if (!$row["Status"]) $row["Category"] .= " ("._l("L_DISABLED").")";
					$row["Icon"] = mkIcon($row["Icon"], 48);
					$row["auth_Access"] = getGroupNames(explode(",", $row["auth_Access"]), true);
					$row["Actions"] = mkButtonDisplay (
						Array (
							mkLink("index.php/admin/categories/".$row["ID"], _l("L_EDIT")),
							mkLink("modules/categories/main.act.php?action=delete&id=".$row["ID"]."&auth="._l("C_AUTH_STR")."", _l("L_DELETE"), false, 1),
							mkLink("modules/categories/main.act.php?action=".($row["Status"] ? "disable" : "enable")."&id=".$row["ID"]."&auth="._l("C_AUTH_STR")."", _l("L_".($row["Status"] ? "DISABLED" : "ENABLED").""))
						)
					);
					$tpl->set_arr(
						$row,
						"CATEGORY"
					);
					$tpl->saveBuff("CATEGORY");
				}

				$tpl->set_arr(
					Array (
						"BLOCK_TITLE" => _l("L_CATEGORIES"),
						"BLOCK_SUBTITLE" => _l("L_CREATE"),
						"BLOCK_ICON" => mkIcon("categories.png", 16),
						"ICONCHOOSER" => mkIconChooser(48, "categories.png"),
						"STATUS.SEL" => mkSelect(array(_l("L_DISABLED"), _l("L_ENABLED")), 1, "status"),
						"CATEGORIES" => $categories,
						"ACTION" => "create",
						"CATEGORY" => "",
						"DESCRIPTION" => "",
						"AUTH_ACCESS" => "*",
						"ID" => 0,
						"RETURN" => _ext("return")
					)
				);

				$mcBuff = $tpl->make();
			}
		break;
	}


?>