<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sf.net>
	*	@version	CVS: $Id:$
	*	@link		http://gekkoware.sourceforge.net
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	function deleteCategory($id) {
		slog("categories: deleted '$id'", "actions", 1);
		return $GLOBALS["db"]->query ("DELETE FROM ".db_table("category")." WHERE ID='{$id}'", __FILE__, __LINE__, true);
	}
	function categorySetStatus($id, $status) {
		return $GLOBALS["db"]->query ("UPDATE ".db_table("category")." SET Status = '{$status}' WHERE ID='{$id}'", __FILE__, __LINE__, true);
	}
	function getCategories($required = false) {
		$return = array();
		$q = $GLOBALS["db"]->query("SELECT ID, Category FROM ".db_table("category")." ORDER BY ID ASC", __FILE__, __LINE__, true);
		while ($row = $GLOBALS["db"]->fetch_row($q)) {
			saneHTML($row);
			$return[$row["ID"]] = $row["Category"];
		}
		if ($required && !count($return)) {
			header("Location: "._l("C_SITE.URL")."index.php/admin/categories?message=".urlencode(_l("L_CATEGORY_REQUIRED"))."&return=".urlencode($_SERVER["REQUEST_URI"]));
			abort();
		}
		return $return;
	}
	function categoryIcon($id) {
		$q = $GLOBALS["db"]->query("SELECT Category, Icon FROM ".db_table("category")."
		WHERE ID='$id'", __FILE__, __LINE__, true);
		$row = $GLOBALS["db"]->fetch_row($q);
		return mkIcon($row["Icon"], 48);
	}
	function getCategoryByID($id, $getname = false) {
		$q = $GLOBALS["db"]->query("SELECT Category FROM ".db_table("category")." WHERE ID = '$id'", __FILE__, __LINE__, true);
		$row = $GLOBALS["db"]->fetch_row($q);

		saneHTML($row);
		if ($getname) return $row["Category"];
		return $GLOBALS["db"]->num_rows($q) ? mkLink("index.php/categories?id=$id", $row["Category"]) : false;
	}
	function categoryAuth($id) {

		$q = $GLOBALS["db"]->query("SELECT auth_Access FROM ".db_table("category")." WHERE ID = '{$id}'", __FILE__, __LINE__, true);
		$row = $GLOBALS["db"]->fetch_row($q);

		return categoryCheckAuth($row["auth_Access"]);
	}
	function categoryCheckAuth($auth_string) {
		return gauth($auth_string);
	}
	/* getting allowed categories */
	function getAllowedCategories($mklock = false, $lockfield = "Category", $auth = null) {
		$cache = "getAllowedCategories()";
		if (!Cache::Get($cache)) {
			$allowed = Array();
			$q = $GLOBALS["db"]->query("SELECT ID, auth_Access FROM ".db_table("category")." WHERE Status = '1'", __FILE__, __LINE__, true);
			while ($row = $GLOBALS["db"]->fetch_row($q)) {
				if (gauth($row["auth_Access"], $auth))
					$allowed[$row["ID"]] = $row["ID"];
			}
			Cache::Set($cache, $allowed);
		}
		$return = Cache::Get($cache);
		if ($mklock) $return = "$lockfield = '".implode($return, "' OR $lockfield = '")."'";
		return $return;
	}
?>