<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sf.net>
	*	@version	CVS: $Id:$
	*	@link		http://gekkoware.sourceforge.net
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	Class GekkoModule_Categories {
		function create_menu() {
			return true;
		}
		function configure() {

		}
		function install() {
			$GLOBALS["db"]->query("
			CREATE TABLE ".db_table("category")." (
				ID SMALLINT (5) UNSIGNED NOT NULL AUTO_INCREMENT, PRIMARY KEY (ID),
				Icon VARCHAR (255) NOT NULL default 'categories.png',
				Category VARCHAR (64),
				Description VARCHAR (255),
				Status ENUM('0','1') NOT NULL default '1',
				auth_Access VARCHAR (255) NOT NULL default '*'
			)
			", __FILE__, __LINE__, true);

			# default values
			$GLOBALS["db"]->query("
				INSERT INTO ".db_table("category")." (
					ID,
					Category,
					Description
				) VALUES (
					'1',
					'General',
					'General Category'
				);
			", __FILE__, __LINE__, true);

			modCore::registerModule($GLOBALS["cgdb"]["categories"], "categories", "*", $GLOBALS["cgdb"]["categories"]);
		}
		function uninstall() {
			$GLOBALS["db"]->query("DROP TABLE IF EXISTS ".db_table("category"), __FILE__, __LINE__, true);
		}
		function upgrade($provided_v) {
			if (check_version("0.5.8", $provided_v) < 0) {
				$GLOBALS["db"]->query("ALTER TABLE ".db_table("category")."
				CHANGE COLUMN Status Status ENUM('0','1') NOT NULL default '1'",
				__FILE__, __LINE__);
			}
		}
		function ext_uninstall($module) {

		}
	}

?>