<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sf.net>
	*	@version	CVS: $Id:$
	*	@link		http://gekkoware.sourceforge.net
	*/

	if (!defined("IN-BLOCK")) die();

	/*
	<%%>
	<?xml version="1.0" encoding="UTF-8"?>
	<blockscript>
		<info lang="en">
			<title>Random item</title>
			<description>Random download link</description>
			<author><![CDATA[xiam &lt;<a href="mailto:xiam@users.sourceforge.net">xiam@users.sourceforge.net</a>&gt;]]></author>
			<homepage><![CDATA[<a href="http://www.gekkoware.org">http://www.gekkoware.org</a>]]></homepage>
		</info>
		<info lang="es">
			<title><![CDATA[&Iacute;tem aleatorio]]></title>
			<description><![CDATA[Descargas aleatorias]]></description>
		</info>
		<variable name="items">3</variable>
	</blockscript>
	<%%>
	*/

	require_once GEKKO_ROOT."lib/format.lib.php";
	require_once GEKKO_ROOT."modules/downloads/main.lib.php";

	$cat_lock = "(DownloadLink = '".implode("' OR DownloadLink ='", allowedDownloadCategories())."')";

	$q = $GLOBALS["db"]->query("SELECT ID, Title, Description, Thumbnail, ThumbnailSize
	FROM ".db_table("download_item")."
	WHERE {$cat_lock}
	ORDER BY RAND() LIMIT $items", __FILE__, __LINE__, true);

	$return = "";
	$c = Array();
	while ($row = $GLOBALS["db"]->fetch_row($q)) {
		saneHTML($row);
		if ($row["Thumbnail"])
			list($w, $h) = explode("x", $row["ThumbnailSize"]);
		$return .= "<a href=\""._l("C_SITE.REL_URL")."index.php/downloads/view/".urlencode($row["Title"])."?id={$row["ID"]}\">".($row["Thumbnail"] ? "<img class=\"photo\" src=\""._l("C_SITE.REL_URL")."{$row["Thumbnail"]}\" width=\"$w\" height=\"$h\" alt=\"{$row["Title"]}\" title=\"{$row["Title"]}\" /><br />" : "")."<b>{$row["Title"]}</b></a><br />{$row["Description"]}<hr />";
	}

	$return = "<div style=\"text-align: center\">\n$return\n</div>\n";
?>