<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sf.net>
	*	@version	CVS: $Id:$
	*	@link		http://gekkoware.sourceforge.net
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	require_once GEKKO_ROOT."modules/categories/main.lib.php";

	$action = _ext("action", 1);
	$textid = _ext("textid", 1);

	// default pages must be named "Index" by the gods
	if (!$textid) $textid = conf::getKey("pages", "default", "Index", "string");

	switch ($action) {
		default:
			$cat_lock = getAllowedCategories(true);

			$db->query ("
			SELECT
					ID, Category, Title, Content, showTitle, AuthorID
			FROM ".db_table("page")."
			WHERE TextID = '$textid' AND Status = '1' AND ($cat_lock)
			", __FILE__, __LINE__);

			if (!$db->num_rows()) {
				$mcBuff = _l("E_PAGE_NOT_FOUND");
				break;
			}

			$row = $db->fetch_row();

			saneHTML($row, "Content");

			Format::Style($row["Content"], $row["AuthorID"]);

			$row["Category"] = getCategoryByID($row["Category"]);

			$tpl = new ContentBlock("ContentBlock", "pages/page.tpl");
			$tpl->set_arr($row);

			$mcBuff = $tpl->make();

		break;
	}

	// saving buffer into modCore
	$mc->save($mcBuff);
?>