<?php

	/*
	*	Gekko - Open Source Web Content Management System
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, Josu Gerardo Gutirrez Hdez. <blacknash@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		Josu Gerardo Gutirrez Hdez. <blacknash@users.sf.net>
	*	@version	CVS: $Id:$
	*	@link		http://gekkoware.sourceforge.net
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	$action = _ext("action", 2);
	$page = _ext("page", 2);
	$id = _ext("id", 3);

	switch ($action) {
		case "edit":
			if ($id) {
				$tpl = new ContentBlock();

				$tpl->insert("BLOCK_CONTENT", "phrases/index.admin.tpl");
				$tpl->insert("PHRASES.FORM", "phrases/phrases.form.tpl");

				$db->query("
					SELECT * FROM ".db_table("phrases")." WHERE ID = '{$id}'
				");

				if ($db->num_rows()) {

					$row = $db->fetch_row();
					saneHTML($row);
					$row["BLOCK_TITLE"] = _l("L_FRIENDS");
					$row["BLOCK_SUBTITLE"] = _l("L_EDIT");
					$row["BLOCK_ICON"] = mkIcon("phrases.png", 16);
					$row["ACTION"] = "edit";
					$row["RETURN"] = "../../index.php/admin/phrases";
					$tpl->set_arr($row);

					$mcBuff = $tpl->make();
				}
			}

		break;
		default:
			$tpl = new ContentBlock();

			$tpl->insert("BLOCK_CONTENT", "phrases/index.admin.tpl");
			$tpl->insert("PHRASES.FORM", "phrases/phrases.form.tpl");

			$phrases = 0;

			$pager = $db->pager (
				"SELECT ID FROM ".db_table("phrases")."",
				"index.php/admin/phrases/%p", $page, conf::getkey("phrases", "items_per_admin_page")
			);

			$db->query ("
				SELECT ID, Phrase, Author
				FROM ".db_table("phrases")."
				ORDER BY ID ASC {$pager["sql"]}
			", __FILE__, __LINE__);

			$phrases = $db->num_rows();

			while ($row = $db->fetch_row()) {
				saneHTML($row, "Content");
				$row["Actions"] = Array();
				$row["Actions"][] = mkLink("index.php/admin/phrases/edit/".$row["ID"], _l("L_EDIT"));
				$row["Actions"][] = mkLink("modules/phrases/main.act.php?action=delete&id=".$row["ID"]."&auth="._l("C_AUTH_STR")."", _l("L_DELETE"), false, true);
				$row["Actions"] = mkButtonDisplay($row["Actions"]);

				$tpl->set_arr($row, "PHRASE");
				$tpl->saveBuff("PHRASE");
			}

			$tpl->set_arr (
				Array (
					"BLOCK_TITLE" => _l("L_PHRASES"),
					"BLOCK_SUBTITLE" => _l("L_NEW_PHRASES"),
					"BLOCK_ICON" => mkIcon("phrases.png", 16),
					"PHRASE"=>"",
					"AUTHOR"=>"",
					"ACTION" => "add",
					"PHRASES"=>$phrases,
					"ID" => "",
					"RETURN" => "",
					"PAGER" => $pager["html"]
					)
			);
			$mcBuff = $tpl->make();
		break;
	}
?>