<?php

	/*
	*	Gekko - Open Source Web Content Management System
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, Josu Gerardo Gutirrez Hdez. <blacknash@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author	Josu Gerardo Gutirrez Hdez. <blacknash@users.sf.net>
	*	@version	CVS: $Id:$
	*	@link		http://gekkoware.sourceforge.net
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	class GekkoModule_Phrases {
		function create_menu() {
			return false;
		}
		function configure() {
			Conf::getKey("phrases", "items_per_admin_page", 5, "i");
		}
		function install() {
			$GLOBALS["db"]->query("
			CREATE TABLE ".db_table("phrases")." (
				ID SMALLINT (5) UNSIGNED NOT NULL AUTO_INCREMENT, PRIMARY KEY (ID),
				Phrase text,
				Author varchar (255)
			)", __FILE__, __LINE__, true);

			modCore::registerModule($GLOBALS["cgdb"]["phrases"], "phrases", "*", $GLOBALS["cgdb"]["phrases"]);
		}
		function uninstall() {
			$GLOBALS["db"]->query("DROP TABLE IF EXISTS ".db_table("phrases"), __FILE__, __LINE__, true);
		}
		function upgrade() {

		}
		function ext_uninstall($module) {

		}
	}
?>