<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sf.net>
	*	@version	CVS: $Id:$
	*	@link		http://gekkoware.sourceforge.net
	*/


	if (!defined("IN-GEKKO")) die("Get a life!");

	Class GekkoModule_Statistics {
		function create_menu() {
			return false;
		}
		function configure() {

		}
		function install() {
			$GLOBALS["db"]->query("
			CREATE TABLE ".db_table("stats_counter")." (
				Type VARCHAR (32),
				Variable VARCHAR (64),
				Counter SMALLINT (5)
			)
			",__FILE__, __LINE__, true);

			$GLOBALS["db"]->query("
			CREATE TABLE ".db_table("stats_visits")." (
				Year SMALLINT (4) UNSIGNED NOT NULL,
				Month TINYINT (2) UNSIGNED NOT NULL,
				Day TINYINT (2) UNSIGNED NOT NULL,
				H00 SMALLINT (5) UNSIGNED NOT NULL default '0',
				H01 SMALLINT (5) UNSIGNED NOT NULL default '0',
				H02 SMALLINT (5) UNSIGNED NOT NULL default '0',
				H03 SMALLINT (5) UNSIGNED NOT NULL default '0',
				H04 SMALLINT (5) UNSIGNED NOT NULL default '0',
				H05 SMALLINT (5) UNSIGNED NOT NULL default '0',
				H06 SMALLINT (5) UNSIGNED NOT NULL default '0',
				H07 SMALLINT (5) UNSIGNED NOT NULL default '0',
				H08 SMALLINT (5) UNSIGNED NOT NULL default '0',
				H09 SMALLINT (5) UNSIGNED NOT NULL default '0',
				H10 SMALLINT (5) UNSIGNED NOT NULL default '0',
				H11 SMALLINT (5) UNSIGNED NOT NULL default '0',
				H12 SMALLINT (5) UNSIGNED NOT NULL default '0',
				H13 SMALLINT (5) UNSIGNED NOT NULL default '0',
				H14 SMALLINT (5) UNSIGNED NOT NULL default '0',
				H15 SMALLINT (5) UNSIGNED NOT NULL default '0',
				H16 SMALLINT (5) UNSIGNED NOT NULL default '0',
				H17 SMALLINT (5) UNSIGNED NOT NULL default '0',
				H18 SMALLINT (5) UNSIGNED NOT NULL default '0',
				H19 SMALLINT (5) UNSIGNED NOT NULL default '0',
				H20 SMALLINT (5) UNSIGNED NOT NULL default '0',
				H21 SMALLINT (5) UNSIGNED NOT NULL default '0',
				H22 SMALLINT (5) UNSIGNED NOT NULL default '0',
				H23 SMALLINT (5) UNSIGNED NOT NULL default '0',
				Total MEDIUMINT (8) UNSIGNED NOT NULL default '0'
			)
			",__FILE__, __LINE__, true);

			$GLOBALS["db"]->query("
			CREATE TABLE ".db_table("stats_uri_logs")." (
				Type VARCHAR (32),
				URL VARCHAR (255),
				Counter SMALLINT (5),
				LastIP VARCHAR (32),
				LastTime INT (11) UNSIGNED NOT NULL
			)
			",__FILE__, __LINE__, true);

			modCore::registerModule($GLOBALS["cgdb"]["statistics"], "statistics", "#", $GLOBALS["cgdb"]["statistics"]);
		}
		function uninstall() {
			$GLOBALS["db"]->query("DROP TABLE IF EXISTS ".db_table("stats_counter"),__FILE__, __LINE__, true);
			$GLOBALS["db"]->query("DROP TABLE IF EXISTS ".db_table("stats_visits"),__FILE__, __LINE__, true);
			$GLOBALS["db"]->query("DROP TABLE IF EXISTS ".db_table("stats_uri_logs"),__FILE__, __LINE__, true);
		}
		function upgrade() {

		}
		function ext_uninstall($module) {

		}
	}

?>