<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sf.net>
	*	@version	CVS: $Id:$
	*	@link		http://gekkoware.sourceforge.net
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	Class GekkoModule_Tagboard {
		function create_menu() {
			return false;
		}
		function configure() {
			Conf::getKey("tagboard", "auth_post", "*", "s");
			Conf::getKey("tagboard", "max.items", "15", "i");
		}
		function install() {
			$GLOBALS["db"]->query("
			CREATE TABLE ".db_table("tagboard")." (
				ID MEDIUMINT (8) UNSIGNED NOT NULL AUTO_INCREMENT, PRIMARY KEY (ID),
				UserID SMALLINT (8) UNSIGNED NOT NULL,
				UserIP VARCHAR (32),
				CreationTime INT (11) UNSIGNED NOT NULL,
				Nickname VARCHAR (32),
				Link VARCHAR (32),
				Message TEXT
			)
			",__FILE__, __LINE__, true);

			modCore::registerModule($GLOBALS["cgdb"]["tagboard"], "tagboard", "*", $GLOBALS["cgdb"]["tagboard"]);
		}
		function uninstall() {
			$GLOBALS["db"]->query("DROP TABLE IF EXISTS ".db_table("tagboard"),__FILE__, __LINE__, true);
		}
		function upgrade() {

		}
		function ext_uninstall($module) {

		}
	}

?>