<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sf.net>
	*	@version	CVS: $Id:$
	*	@link		http://gekkoware.sourceforge.net
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	$action = _ext("action", 2);

	// checking for available output formats
	$comp = Array(
		"" => _l("L_AUTO"),
		"sql" => _l("L_PLAIN_SQL")
	);
	if (extension_loaded("bz2")) $comp["bz2"] = "bz2";
	if (extension_loaded("zlib")) $comp["gzip"] = "gzip";

	switch ($action) {
		default:
			$tpl = new ContentBlock();
			$tpl->insert("BLOCK_CONTENT", "backup/index.admin.tpl");
			$tpl->set_arr (
				Array (
					"BLOCK_ICON" => mkIcon("backup.png", 16),
					"BLOCK_TITLE" => _l("L_BACKUP"),
					"ACTION" => "backup",
					"COMPRESSION.SEL" => mkSelect($comp, "", "comp"),
					"RETURN" => "",
				)
			);
			$mcBuff = $tpl->make();
		break;
	}

?>