<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sf.net>
	*	@version	CVS: $Id:$
	*	@link		http://gekkoware.sourceforge.net
	*/

	define ("IN-GEKKO", true);

	require_once "../../conf.php";
	require_once GEKKO_ROOT."lib/core.lib.php";
	require_once GEKKO_ROOT."lib/format.lib.php";
	require_once GEKKO_ROOT."modules/blog/main.lib.php";

	db_init();

	require_once GEKKO_ROOT."lib/auth.inc.php";

	if (!gauth("blog")) abort(accessDenied());

	gpGet("action", 1);
	gpGet("id", 1);
	gpGet("return", 1);

	switch ($action) {
		case "delete":
			execWithEach($id, "deleteBlogPost");
		break;
		case "publish":
			blogPostSetStatus($id, 1);
		break;
		case "post":

			gpGlobalize("icon, status, category, title, content, footer,
			allowcomments");

			requireVars($category, $title, $content);

			rtb_codefix($content);

			$AccessTable->GateKeeper("blog", "post", "E_ANTI_FLOOD");

			// inserting into database
			$db->query ("
			INSERT INTO ".db_table("blog")."
				(
					ID,
					UserID,
					Category,
					Icon,
					Title,
					Content,
					Footer,
					CreationTime,
					Status,
					AllowComments
				)
					VALUES
				(
					'".$db->free_id("blog")."',
					'{$User["ID"]}',
					'{$category}',
					'{$icon}',
					'{$title}',
					'{$content}',
					'{$footer}',
					'".time()."',
					'{$status}',
					'{$allowcomments}'
				)
			", __FILE__, __LINE__);

			slog("blog: new entry '$title'", "actions", 1);
		break;
		case "edit":

			gpGlobalize("icon, status, category, title, content, footer, allowcomments");

			requireVars($id, $category, $title, $content);

			$ptime = false;
			$db->query("SELECT Status FROM ".db_table("blog")." WHERE ID = '$id'");
			$row = $db->fetch_row();
			if (!$row["Status"]) $ptime = true;

			rtb_codefix($content);

			$db->query("
				UPDATE ".db_table("blog")." SET
					Category = '{$category}',
					Icon = '{$icon}',
					Title = '{$title}',
					Content = '{$content}',
					Footer = '{$footer}',
					Status = '{$status}',
					".($ptime ? "CreationTime = '".time()."',": "")."
					AllowComments = '{$allowcomments}'
				WHERE ID = '{$id}'
			", __FILE__, __LINE__);

			slog("blog: entry '$id' was updated", "actions", 1);
		break;
		default:
			abort(_l("L_UNDEFINED_ACTION"));
		break;
	}

	redirect($return ? $return : $_SERVER["HTTP_REFERER"]);

	db_exit();
?>