<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sf.net>
	*	@version	CVS: $Id:$
	*	@link		http://gekkoware.sourceforge.net
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	Class GekkoModule_Comments {
		function create_menu() {
			// don't need a menu entry
			return true;
		}
		function configure() {
			Conf::getKey("comments", "edit_time", 300, "i");
			Conf::getKey("comments", "items_per_page", 8, "i");
		}
		function install() {
			$GLOBALS["db"]->query("
			CREATE TABLE ".db_table("comment")." (
				ID INT (11) UNSIGNED NOT NULL AUTO_INCREMENT, PRIMARY KEY (ID),
				Module VARCHAR (32),
				Thread MEDIUMINT (8) UNSIGNED NOT NULL,
				UserID VARCHAR (32),
				Nickname VARCHAR (32),
				Email VARCHAR (64),
				Icon VARCHAR (64),
				Title VARCHAR (128),
				Content TEXT,
				CreationTime INT (11) UNSIGNED NOT NULL,
				IPAddr VARCHAR (64)
			)
			",__FILE__, __LINE__, true);
			modCore::registerModule($GLOBALS["cgdb"]["comments"], "comments", "*", $GLOBALS["cgdb"]["comments"]);
		}
		function uninstall() {
			$GLOBALS["db"]->query("DROP TABLE IF EXISTS ".db_table("comment"),__FILE__, __LINE__, true);
		}
		function upgrade() {

		}
		function ext_uninstall($module) {
			$GLOBALS["db"]->query("DELETE FROM ".db_table("comment")." WHERE Module = '{$module}'",__FILE__, __LINE__, true);
		}
	}
?>