<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sf.net>
	*	@version	CVS: $Id:$
	*	@link		http://gekkoware.sourceforge.net
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	define ("POLL_VOTE_INTERVAL", 60*60*24);

	/* expiration timestamp */
	function getExpirationTime($vigency) {
		return (($vigency = getVigency($vigency)) > 0) ? time() + $vigency : 0;
	}
	function getExpirationDate($time) {
		return $time ? (($time > time()) ? dateFormat($time) : _l("L_POLL_HAS_EXPIRED")) : _l("L_NEVER_EXPIRES");
	}
	function pollHasExpired($time) {
		return $time ? (($time > time()) ? false : true): false;
	}
	function getVigency($i = false) {
		$vigency = Array (
			0 => _l("L_NEVER_EXPIRES"),
			1 => _l("L_ONE_HOUR"),
			2 => _l("L_ONE_DAY"),
			3 => _l("L_ONE_WEEK"),
			4 => _l("L_ONE_MONTH"),
			5 => _l("L_ONE_YEAR")
		);
		if ($i !== false) {
			/* returns scalar value for that vigency */
			switch ($i) {
				case 0: return 0; break;
				case 1: return 3600; break;
				case 2: return 86400; break;
				case 3: return 86400*7; break;
				case 4: return 86400*30; break;
				case 5: return 86400*365; break;
			}
		}
		return $vigency;
	}
	function pollsAllowComment($thread) {
		// Check Function allowComment();
		$q = $GLOBALS["db"]->query("SELECT ID FROM ".db_table("polls")." WHERE ID = '".$thread."' AND AllowComments = '1' AND Status = '1'", __FILE__, __LINE__, true);
		return $GLOBALS["db"]->num_rows($q) ? true : false;
	}
	function alreadyVoted($id) {
		return $GLOBALS["AccessTable"]->check("polls-vote-$id", POLL_VOTE_INTERVAL, 1, false, true);
	}
?>