<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sf.net>
	*	@version	CVS: $Id:$
	*	@link		http://gekkoware.sourceforge.net
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	$stats_user_agent = Array (
		"firefox" => "Mozilla Firefox",
		"mozilla" => "Mozilla",
		"netscape" => "Netscape",
		"msie" => "Microsoft Internet Explorer",
		"opera" => "Opera",
		"konqueror" => "Konqueror",
		"lynx" => "Lynx",
		"curl" => "cURL",
		"w3m" => "w3m",
		"wget" => "wget",
		"galeon" => "Galeon",
		"google" => "Google bot",
		"msnbot" => "MSN bot",
		"yahoo" => "Yahoo! slurp bot",
		"_unknown" => _l("L_UNKNOWN")
	);

	$stats_os = Array (
		"win" => "Windows",
		"linux" => "Linux",
		"mac" => "Mac",
		"freebsd" => "FreeBSD",
		"netbsd" => "NetBSD",
		"sunos" => "SunOS",
		"irix" => "Irix",
		"beos" => "BeOS",
		"os/2" => "OS/2",
		"_unknown" => _l("L_UNKNOWN")
	);

	class statsCounter {
		function increase($type, $variable, $increase = 1) {
			// updating counter if exists
			$q = $GLOBALS["db"]->query("UPDATE ".db_table("stats_counter")."
			SET Counter = Counter + {$increase}
			WHERE Type = '{$type}' AND Variable = '{$variable}'",
			__FILE__, __LINE__, true);

			if (!$GLOBALS["db"]->affected_rows($q)) {
				// when counter not exists
				$GLOBALS["db"]->query("INSERT INTO ".db_table("stats_counter")." (Type, Variable, Counter)
				VALUES ('{$type}', '{$variable}', 1)", __FILE__, __LINE__, true);
			}
			return true;
		}
		function check($type, $variable) {
			$q = $GLOBALS["db"]->query("SELECT Counter FROM ".db_table("stats_counter")."
			WHERE Type = '{$type}' AND Variable = '{$variable}'");

			if ($GLOBALS["db"]->num_rows($q)) {
				$c = $GLOBALS["db"]->fetch_row($q);
				return $c["Counter"];
			}

			return false;
		}
	}

?>