<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sf.net>
	*	@version	CVS: $Id:$
	*	@link		http://gekkoware.sourceforge.net
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	require_once GEKKO_ROOT."modules/tagboard/main.lib.php";

	$action = _ext("action", 2);

	switch ($action) {
		default:

			$tpl = new ContentBlock();

			$tpl->insert("BLOCK_CONTENT", "tagboard/index.admin.tpl");

			$db->query ("
				SELECT
					ID, UserID, UserIP, CreationTime, Nickname, Link, Message
				FROM ".db_table("tagboard")."
				ORDER BY CreationTime DESC
			", __FILE__, __LINE__);

			$messages = $db->num_rows();

			while ($row = $db->fetch_row()) {
				saneHTML($row);
				$row["Nickname"] = mkTagboardUserLink($row["UserID"], $row["Nickname"], $row["Link"]);
				$tpl->set_arr(
					$row,
					"MESSAGE"
				);
				$tpl->saveBuff("MESSAGE");
			}

			$tpl->set_arr(
				Array (
					"BLOCK_TITLE" => _l("L_TAGBOARD"),
					"BLOCK_SUBTITLE" => _l("L_MESSAGES"),
					"BLOCK_ICON" => mkIcon("tagboard.png", 16),
					"MESSAGES" => $messages,
					"RETURN" => ""
				)
			);

			$mcBuff = $tpl->make();

		break;
	}


?>